org.gradle.plugins.javascript.rhino.worker

## Class RhinoWorkerUtils

- java.lang.Object
- - org.gradle.plugins.javascript.rhino.worker.RhinoWorkerUtils

-     public abstract class RhinoWorkerUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RhinoWorkerUtils.DefaultScopeOperation<T>`
    `static interface` | `RhinoWorkerUtils.ScopeOperation<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RhinoWorkerUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <R> R` | `childScope(org.mozilla.javascript.Scriptable parentScope, RhinoWorkerUtils.ScopeOperation<R> operation)`
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding)`
    `static org.mozilla.javascript.Scriptable` | `parse(File source, String encoding, Action<org.mozilla.javascript.Context> contextConfig)`
    `static <T> T` | `parseRhino(File rhinoScript, RhinoWorkerUtils.ScopeOperation<T> operation)`
    `static String` | `readFile(File file, String encoding)`
    `static Object` | `toJavaValue(Object object)`
    `static Map<String,Object>` | `toMap(org.mozilla.javascript.Scriptable obj)`
    `static void` | `writeFile(String content, File destination, String encoding)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RhinoWorkerUtils

          public RhinoWorkerUtils()

  - ### Method Detail

    - #### readFile

          public static String readFile(File file,
                        String encoding)

    - #### writeFile

          public static void writeFile(String content,
                       File destination,
                       String encoding)

    - #### parse

          public static org.mozilla.javascript.Scriptable parse(File source,
                                                String encoding)

    - #### parseRhino

          public static <T> T parseRhino(File rhinoScript,
                         RhinoWorkerUtils.ScopeOperation<T> operation)

    - #### parse

          public static org.mozilla.javascript.Scriptable parse(File source,
                                                String encoding,
                                                Action<org.mozilla.javascript.Context> contextConfig)

    - #### childScope

          public static <R> R childScope(org.mozilla.javascript.Scriptable parentScope,
                         RhinoWorkerUtils.ScopeOperation<R> operation)

    - #### toMap

          public static Map<String,Object> toMap(org.mozilla.javascript.Scriptable obj)

    - #### toJavaValue

          public static Object toJavaValue(Object object)